Package net.shibboleth.idp.plugin.authn.webauthn.storage

# Interface CredentialRecord.ICredentialStage

All Known Implementing Classes:
  `CredentialRecord.Builder`

Enclosing class:
  CredentialRecord

public static interface CredentialRecord.ICredentialStage
Builder stage.

## Method Summary

Modifier and Type
Method
Description
`CredentialRecord.IBuildStage`
`withCredential(com.yubico.webauthn.RegisteredCredential credential)`
Set the credential to register.

## Method Details

### withCredential

@Nonnull CredentialRecord.IBuildStage withCredential(@Nonnull com.yubico.webauthn.RegisteredCredential credential)
Set the credential to register.

Parameters:
  `credential` - the credential
Returns:
  the next builder stage